Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1067085 - `man -M /path man` crashes
Summary: `man -M /path man` crashes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: man-db
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Schiffer
QA Contact: Martin Kyral
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 16:12 UTC by Adrian Likins
Modified: 2014-06-18 08:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 09:45:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
man-db-2.6.3-valgrind.patch (deleted)
2014-02-21 12:35 UTC, Peter Schiffer
no flags Details | Diff

Description Adrian Likins 2014-02-19 16:12:31 UTC
Description of problem:

`man` seems to crash if the -M option given something that is not a manpath.

[~]$ rpm -q man-db
man-db-2.6.3-8.el7.x86_64
[~]$ man -M /not/the/man/path man
No manual entry for man
*** Error in `man': free(): invalid pointer: 0x00007fff980f3029 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7d52d)[0x7fcec7f7352d]
man[0x4052e8]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7fcec7f17af5]
man[0x405651]
======= Memory map: ========
00400000-00417000 r-xp 00000000 fd:00 205102986                          /usr/bin/man
00616000-00617000 r--p 00016000 fd:00 205102986                          /usr/bin/man
00617000-00619000 rw-p 00017000 fd:00 205102986                          /usr/bin/man
0075e000-0077f000 rw-p 00000000 00:00 0                                  [heap]
7fcec15a3000-7fcec15b8000 r-xp 00000000 fd:00 3399899                    /usr/lib64/libgcc_s-4.8.2-20140120.so.1
7fcec15b8000-7fcec17b7000 ---p 00015000 fd:00 3399899                    /usr/lib64/libgcc_s-4.8.2-20140120.so.1
7fcec17b7000-7fcec17b8000 r--p 00014000 fd:00 3399899                    /usr/lib64/libgcc_s-4.8.2-20140120.so.1
7fcec17b8000-7fcec17b9000 rw-p 00015000 fd:00 3399899                    /usr/lib64/libgcc_s-4.8.2-20140120.so.1
7fcec17b9000-7fcec7ce0000 r--p 00000000 fd:00 3979195                    /usr/lib/locale/locale-archive
7fcec7ce0000-7fcec7cf5000 r-xp 00000000 fd:00 1538499                    /usr/lib64/libz.so.1.2.7
7fcec7cf5000-7fcec7ef4000 ---p 00015000 fd:00 1538499                    /usr/lib64/libz.so.1.2.7
7fcec7ef4000-7fcec7ef5000 r--p 00014000 fd:00 1538499                    /usr/lib64/libz.so.1.2.7
7fcec7ef5000-7fcec7ef6000 rw-p 00015000 fd:00 1538499                    /usr/lib64/libz.so.1.2.7
7fcec7ef6000-7fcec80ac000 r-xp 00000000 fd:00 16930                      /usr/lib64/libc-2.17.so
7fcec80ac000-7fcec82ac000 ---p 001b6000 fd:00 16930                      /usr/lib64/libc-2.17.so
7fcec82ac000-7fcec82b0000 r--p 001b6000 fd:00 16930                      /usr/lib64/libc-2.17.so
7fcec82b0000-7fcec82b2000 rw-p 001ba000 fd:00 16930                      /usr/lib64/libc-2.17.so
7fcec82b2000-7fcec82b7000 rw-p 00000000 00:00 0 
7fcec82b7000-7fcec82c3000 r-xp 00000000 fd:00 2280938                    /usr/lib64/libpipeline.so.1.2.3
7fcec82c3000-7fcec84c2000 ---p 0000c000 fd:00 2280938                    /usr/lib64/libpipeline.so.1.2.3
7fcec84c2000-7fcec84c3000 r--p 0000b000 fd:00 2280938                    /usr/lib64/libpipeline.so.1.2.3
7fcec84c3000-7fcec84c4000 rw-p 0000c000 fd:00 2280938                    /usr/lib64/libpipeline.so.1.2.3
7fcec84c4000-7fcec84cb000 r-xp 00000000 fd:00 146051                     /usr/lib64/libgdbm.so.4.0.0
7fcec84cb000-7fcec86cb000 ---p 00007000 fd:00 146051                     /usr/lib64/libgdbm.so.4.0.0
7fcec86cb000-7fcec86cc000 r--p 00007000 fd:00 146051                     /usr/lib64/libgdbm.so.4.0.0
7fcec86cc000-7fcec86cd000 rw-p 00008000 fd:00 146051                     /usr/lib64/libgdbm.so.4.0.0
7fcec86cd000-7fcec86ea000 r-xp 00000000 fd:00 134769300                  /usr/lib64/man-db/libman-2.6.3.so
7fcec86ea000-7fcec88ea000 ---p 0001d000 fd:00 134769300                  /usr/lib64/man-db/libman-2.6.3.so
7fcec88ea000-7fcec88eb000 r--p 0001d000 fd:00 134769300                  /usr/lib64/man-db/libman-2.6.3.so
7fcec88eb000-7fcec88ed000 rw-p 0001e000 fd:00 134769300                  /usr/lib64/man-db/libman-2.6.3.so
7fcec88ed000-7fcec88f2000 r-xp 00000000 fd:00 134769303                  /usr/lib64/man-db/libmandb-2.6.3.so
7fcec88f2000-7fcec8af1000 ---p 00005000 fd:00 134769303                  /usr/lib64/man-db/libmandb-2.6.3.so
7fcec8af1000-7fcec8af2000 r--p 00004000 fd:00 134769303                  /usr/lib64/man-db/libmandb-2.6.3.so
7fcec8af2000-7fcec8af3000 rw-p 00005000 fd:00 134769303                  /usr/lib64/man-db/libmandb-2.6.3.so
7fcec8af3000-7fcec8b14000 r-xp 00000000 fd:00 16923                      /usr/lib64/ld-2.17.so
7fcec8cf0000-7fcec8cf4000 rw-p 00000000 00:00 0 
7fcec8d10000-7fcec8d13000 rw-p 00000000 00:00 0 
7fcec8d13000-7fcec8d14000 r--p 00020000 fd:00 16923                      /usr/lib64/ld-2.17.so
7fcec8d14000-7fcec8d15000 rw-p 00021000 fd:00 16923                      /usr/lib64/ld-2.17.so
7fcec8d15000-7fcec8d16000 rw-p 00000000 00:00 0 
7fff980d3000-7fff980f4000 rw-p 00000000 00:00 0                          [stack]
7fff98153000-7fff98155000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted


Version-Release number of selected component (if applicable):
man-db-2.6.3-8.el7.x86_64

How reproducible:

man -M . man                      crashes
man man                           works
man -M / man                      crashes
man -M /usr/share/man man         works
man -M /usr/share/man/man1 man    crashes

Comment 2 Peter Schiffer 2014-02-21 12:35:21 UTC
Created attachment 865977 [details]
man-db-2.6.3-valgrind.patch

fixed man-db-2.6.3-valgrind.patch

Comment 6 Ludek Smid 2014-06-13 09:45:20 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.